Subject: Re: MID syntax in Implementors' Guide v5

From: Christian Groves <[email-masked]>
Date: Mon, 07 May 2001 11:17:48 +1000

G'Day Troy,

I'll update the IG to reflect option 1.

Cheers, Christian

Troy Cauble wrote:
> 
> Christian,
> 
> I prefer Narenda's first option because it puts the critical detail
> in the ABNF syntax, instead of in a comment.
> 
> Also, I'd remove the "; portNumber NOT allowed in MID" comment
> because it's confusing (They are allowed, just not by themselves.)
> and unnecessary  (The syntax provides the needed restriction.).
> 
> -troy
> 
> Christian Groves wrote:
> >
> > G'Day Naren,
> >
> > I'm glad someone commented on this one. Having the mID referenced by
> > servicechange was a quick way of adding the MTP3 address. I don't have a
> > preference for either of your proposals. Any text gurus have a
> > preference?
> >
> > Cheers, Christian
> >
> > "Tulpule, Naren" wrote:
> > >
> > > Hi Christian, list,
> > >   in section 1.29 The ABNF given is:
> > > B.2 ABNF syntax specification
> > > ...
> > > mId                  = ([( domainAddress / domainName )]
> > >         [":" portNumber]) / mtpAddress / deviceName...
> > > serviceChangeAddress = ServiceChangeAddressToken EQUAL mIdVALUE
> > >
> > > It should either be
> > >
> > > B.2 ABNF syntax specification
> > >
> > > ; portNumber NOT allowed in MID
> > > mId                  = (( domainAddress / domainName )
> > >         [":" portNumber]) / mtpAddress / deviceName...
> > > serviceChangeAddress = ServiceChangeAddressToken EQUAL (mId / portNumber)
> > >
> > > OR
> > >
> > > B.2 ABNF syntax specification
> > > ...
> > > ; portNumber allowed in MID
> > > mId                  = (( domainAddress / domainName )
> > >         [":" portNumber]) / mtpAddress / deviceName / portNumber
> > > serviceChangeAddress = ServiceChangeAddressToken EQUAL mId
> > >
> > > We can decide on either one. As it is currently given, a portNumber alone in
> > > MID or ServiceChangeAddress would look like ":12345".
> > > (Besides, the current syntax would allow an empty MID).
> > >
> > > These views are mine alone, not those of Intel, Trillium or Mr Barrett.
> > > -- Naren
> > > Narendra C. Tulpule         310-442-9222
> > > SMTS, Trillium (an Intel company)
> > > 12100 Wislshire Bl #1800 Los Angeles CA 90025